<div id="{$PLUGIN_NAME}" class="tab_content">
<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
	<h3>{$PLUGIN_TITLE}</h3>

	<fieldset><legend>Configuration Settings</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
	</fieldset>

	<fieldset><legend>License Settings</legend>
		<div><label for="ndl_license_key">License Key</label><span><input name="module[ndl_license_key]" id="ndl_license_key" class="textbox" type="text" value="{$PLUGIN_LICENSE_KEY}" /></span></div>

		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
		
		<input type="hidden" name="module[general_tab]" value="general_tab">
	</fieldset>

	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{if isset($PLUGIN_MESSAGES)}
			{$PLUGIN_MESSAGES}
		{/if}
	</fieldset>	
	
  <div class="form_control">
	<input type="submit" value="{$LANG.common.save}" />
  </div>
  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
</form>
</div>

<div id="install_guide" class="tab_content">
	<h3>Install Guide</h3>
	<p>The following sample code is for use if you are using the standard foundation skin included with CubeCart 6. The code is a working example and should be modified to suit your own requirements. The code can be moved to alternate locations within your store theme depending on how you want to use it, for example a new tab on the product page, or  before the product description. Modify the code to suit your own use case.</p>
	
	<ol>
		<li>
			<p><span style="font-weight:bold;">Open file /skins/foundation/templates/content.product.php</span>, around line number 27 find:</p>
<textarea style="width:100%; height:66px;">{literal}
         {if !empty($PRODUCT.description)}
         <dd class="active"><a href="#product_info">{$LANG.catalogue.product_info}</a></dd>
         {/if}
{/literal}</textarea>
            <p>AFTER ON A NEW LINE ADD:</p>
<textarea style="width:100%; height:75px;">{literal}
          {if $ADD_ONS_PRODUCT}
            <dd class="active"><a href="#product_addons">{$LANG.product_addons.accessories_and_essentials}</a></dd>
          {/if}
{/literal}</textarea>

        </li>

        <li>
			<p>Around line number 46 find:</p>
<textarea style="width:100%; height:66px;">{literal}
         {if !empty($PRODUCT.description)}
         <div class="content active" id="product_info">
            {$PRODUCT.description}
         </div>
         {/if}
{/literal}</textarea>



            <p>AFTER ON A NEW LINE ADD:<p>
<textarea style="width:100%; height:2400px;">{literal}
{if $ADD_ONS_PRODUCT}
 <div class="content" id="product_addons">

        <style>
        .addoncontainer{
            background: #f0f0f0;
        }
        .addonnthrow:nth-child(odd){
            background: #f8f8f8;
        }
        .addonrow{
            line-height: 80px;
        }
        .addonrowheader{
            background: #606060;
            color: #FFF;
            line-height:40px;
            font-size: 20px;
        }
        .addonimage{
            max-height: 80px;
            max-width: 80px;
        }
        .addonItem{
            height: 40px !important;
        }
        .addonqtyrow{
            margin-top:20px;
        }
        </style>

        <script>
        $(function() {

            function addonaddition(thisid){
                var t = $('input[name="token"]').val();
                var qty = $('#addonqty_'+thisid).val();

                var formData = {};
                formData['quantity'] = qty;
                formData['add'] = thisid;
                formData['token'] = t;

                // addonproductOptions_
                if ($('.addonproductOptions_'+thisid).length){
                    $('.addonproductOptions_'+thisid).each(function(i, obj) {

                        var optionid = $(this).attr('data-attr-optionid');
                        var assignid = $(this).val();

                        if(optionid.length && assignid.length){
                            formData['productOptions['+optionid+']'] = assignid;
                        }

                    });
                }

                $.ajax({
                    url:'?_g=ajaxadd&t='+Date.now(),
                    type:"POST",
                    data:formData,
                    contentType:"application/x-www-form-urlencoded; charset=UTF-8",
                    dataType:"text/html; charset=UTF-8",
                    complete: function(returned) {
                        if (returned.responseText.match("Redir:")) {
                            var redir = returned.responseText.split('Redir:');
                            window.location = redir[1];
                        } else {
                            $('#mini-basket').replaceWith(returned.responseText);
                            on_canvas_basket_content = $('#mini-basket .box-basket-content').html();
                            $(".right-off-canvas-menu .box-basket-content").html(on_canvas_basket_content);
                            $(".alert-box").slideUp();
                            mini_basket_action();
                        }
                    }
                });
            }


            $('.addonbuybutton').click(function(){
                var thisid = $(this).attr('id');
                addonaddition(thisid.replace("buyaddon_", ""));
            });

            $('.addonbuyallbutton').click(function(){
                $('.addonbuybutton').each(function(i, obj) {
                    var thisid = $(obj).attr('id');
                    addonaddition(thisid.replace("buyaddon_", ""));
                });
            });
        });
        </script>

            <div class="row addoncontainer">
                <div class="small-12 columns addonrowheader text-center">{$LANG.product_addons.accessories_and_essentials}</div>

                <div class="row addonnthrow">
                    <div class="small-12 columns text-center"><button type="button" class="button addonbuyallbutton" value="{$LANG.product_addons.addall}" id="buyaddon_{$product.addon_product_id}">{$LANG.product_addons.addall}</button></div>
                </div>

                {foreach from=$ADD_ONS_PRODUCT item=product}
                <div class="row addonnthrow">
                        <div class="small-2 columns addonrow">
                            <a href="{$product.url}" title="{$product.name}"><img class="addonimage" src="{$product.thumbnail}" alt="{$product.name}" /></a>
                        </div>

                        <div class="small-6 columns addonrow">
                            {$product.name}

                            {if isset($product.options) && is_array($product.options)}
                                <div class="row">
                                <div class="small-12 columns">

                                    {foreach from=$product.options item=option}
                                    <div class="row">
                                        <div class="medium-12 columns">
                                            {if $option.type == '0'}
                                                <select id="addonsproduct-option-{$product.addon_product_id}{$option.option_id}" data-attr-optionid="{$option.option_id}" class="addonproductOptions_{$product.addon_product_id}" name="addonproductOptions[{$option.option_id}]">
                                                    <option value="" data-symbol="" data-price="">{$LANG.form.please_select} | {if empty($option.option_description)}{$option.option_name}{else}{$option.option_description}{/if}</option>
                                                    {foreach from=$option.values item=value}
                                                    <option value="{$value.assign_id}" data-symbol="{$value.symbol}" data-price="{$value.price}">
                                                        {$value.value_name}
                                                        {if $value.price}({$value.symbol}{$value.price}){/if}
                                                    </option>
                                                    {/foreach}
                                                </select>
                                            {/if}
                                        </div>
                                    </div>
                                    {/foreach}
                                </div>
                                </div>
                            {/if}
                        </div>

                        <div class="medium-1 columns addonrow">
                            {$product.price}
                        </div>

                        <div class="medium-1 columns addonrow addonqtyrow text-center">
                            <input class="quantity checkout addonItem" type="text" value="{$product.rec_qty}" id="addonqty_{$product.addon_product_id}">

                        </div>

                        <div class="medium-2 columns addonrow text-center addonbuybtn">
                            <button type="button" class="button addonbuybutton" value="{$LANG.product_addons.add}" id="buyaddon_{$product.addon_product_id}">{$LANG.product_addons.add}</button>
                        </div>

                </div>
                {/foreach}
            </div>
 </div>

{/if}	
{/literal}</textarea>
		
		</li>
	
	</ol>
</div>